Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolInput

    java.lang.Object
      java.lang.Thread
          vutbr.checkers.protocol.ProtocolInput

All Implemented Interfaces:
  java.lang.Runnable

    public class ProtocolInput

extends java.lang.Thread

Trida ProtocolInput

Author:
  Ondrej Novy

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProtocolInput(java.io.BufferedReader bufferedReader, ProtocolClient protocolClient)` Konstruktor

Method Summary
`void` | `run()` Hlavni smycka cteni dat

Methods inherited from class java.lang.Thread
`activeCount, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, checkAccess, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolInput

    public ProtocolInput(java.io.BufferedReader bufferedReader,
                         ProtocolClient protocolClient)

  Konstruktor

  Parameters:
    `bufferedReader` - Bufferovany vstup
    `protocolClient` - Klient

Method Detail

### run

    public void run()

  Hlavni smycka cteni dat

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD